using Demo.Data.LocalData;
using Demo.Domain.Models;

namespace Demo.Data.Repository
{
    public class PresenceRepositoryImpl : IPresenceRepository
    {
        public List<PresenceLocalEntity> GetAllPresence = new List<PresenceLocalEntity>{};

        public List<PresenceLocalEntity> GetAllPresences(){
            return GetAllPresence;
        }

        public List<PresenceLocalEntity> GetPresenceByGroup(){
            return GetAllPresence;
        }

        public List<PresenceLocalEntity> GetPresenceByGroupDate(){
            return GetAllPresence;
        }

        public List<PresenceLocalEntity> GeneratePresence(List<PresenceLocalEntity> presenceLocalEntities){
            GetAllPresence.AddRange(presenceLocalEntities);
            return presenceLocalEntities;
        }

        public List<PresenceLocalEntity> GeneratePresenceWeek(List<PresenceLocalEntity> presenceLocalEntities){
            GetAllPresence.AddRange(presenceLocalEntities);
            return presenceLocalEntities;
        }

        public void IsAttedance(int firstLesson, int lastLesson, DateOnly date, Guid UserGuid){
            foreach(PresenceLocalEntity presence in GetAllPresence.Where(x => x.LessonNumber >= firstLesson && x.LessonNumber <= lastLesson && x.Date == date)){
                if (presence.UserGuid == UserGuid){
                    presence.IsAttedance = false;
                }
            }
        }
    }
}
